MultiFileInputFormat (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class MultiFileInputFormat<K,V>

    java.lang.Object
      org.apache.hadoop.mapred.FileInputFormat<K,V>
          org.apache.hadoop.mapred.MultiFileInputFormat<K,V>

All Implemented Interfaces:
  InputFormat<K,V>

Direct Known Subclasses:
  MultiFileWordCount.MyInputFormat

Deprecated. Use `CombineFileInputFormat` instead

    @Deprecated
    public abstract class MultiFileInputFormat<K,V>

extends FileInputFormat<K,V>

An abstract `InputFormat` that returns `MultiFileSplit`'s in `getSplits(JobConf, int)` method. Splits are constructed from the files under the input paths. Each split returned contains nearly equal content length.
Subclasses implement `getRecordReader(InputSplit, JobConf, Reporter)` to construct `RecordReader`'s for `MultiFileSplit`'s.

See Also:
  `MultiFileSplit`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapred.FileInputFormat
`FileInputFormat.Counter`

Field Summary

Fields inherited from class org.apache.hadoop.mapred.FileInputFormat
`LOG`

Constructor Summary
`MultiFileInputFormat()` Deprecated.

Method Summary
`abstract RecordReader<K,V>` | `getRecordReader(InputSplit split, JobConf job, Reporter reporter)` Deprecated. Get the `RecordReader` for the given `InputSplit`.
`InputSplit[]` | `getSplits(JobConf job, int numSplits)` Deprecated. Splits files returned by `FileInputFormat.listStatus(JobConf)` when they're too big.

Methods inherited from class org.apache.hadoop.mapred.FileInputFormat
`addInputPath, addInputPaths, computeSplitSize, getBlockIndex, getInputPathFilter, getInputPaths, getSplitHosts, isSplitable, listStatus, setInputPathFilter, setInputPaths, setInputPaths, setMinSplitSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiFileInputFormat

    public MultiFileInputFormat()

  Deprecated.

Method Detail

### getSplits

    public InputSplit[] getSplits(JobConf job,
                                  int numSplits)
                           throws IOException

  Deprecated.
  Description copied from class: `FileInputFormat`
  Splits files returned by `FileInputFormat.listStatus(JobConf)` when they're too big.

  Specified by:
    `getSplits` in interface `InputFormat<K,V>`
  Overrides:
    `getSplits` in class `FileInputFormat<K,V>`
  Parameters:
    `job` - job configuration.
    `numSplits` - the desired number of splits, a hint.
  Returns:
    an array of `InputSplit`s for the job.
  Throws:
    `IOException`

### getRecordReader

    public abstract RecordReader<K,V> getRecordReader(InputSplit split,
                                                      JobConf job,
                                                      Reporter reporter)
                                               throws IOException

  Deprecated.
  Description copied from interface: `InputFormat`
  Get the `RecordReader` for the given `InputSplit`.

  It is the responsibility of the `RecordReader` to respect record boundaries while processing the logical split to present a record-oriented view to the individual task.

  Specified by:
    `getRecordReader` in interface `InputFormat<K,V>`
  Specified by:
    `getRecordReader` in class `FileInputFormat<K,V>`
  Parameters:
    `split` - the `InputSplit`
    `job` - the job that this split belongs to
  Returns:
    a `RecordReader`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation